GuidesAPI Reference
API Reference

Grant access to a resource to an entity.

Grant access to a resource to an entity. The result of this call is that the specified entity will have permission to take the specified action against the specified resource.


Access Control:

  • The calling principal must have either "addGrant:{actionId}" or "share" action permission for the resource "{resourceHrn}" in the "authorization" service.
  • The realm of the calling principal MUST match the realm of the requested app.
  • The calling principal MUST NOT include a project scope.
Path Params
string
required

The hrn that identifies the resource

string
required

The target entityId to grant access to

string
required

The action to assign as allowed against the resource

Query Params
string
required

The type of the entity to grant access to. Must be one of user, app, or group

Responses

400

Illegal entity ID.
Illegal action value.
Invalid HERE Resource Name format.
Entity type is required.
Illegal entity type.

403

You do not have permission to perform this action.
Reserved resource prefix is required for this action.
Realm of the entity does not match the realm of the caller.
Realm not found.

404

Resource or App not found

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json